[ req ]
default_bits       = 4096
default_md         = sha512
default_keyfile    = server.key
prompt             = no
encrypt_key        = no
distinguished_name = req_distinguished_name
x509_extensions    = v3_req

# distinguished_name
[ req_distinguished_name ]
countryName            = "US"                                        # C=
stateOrProvinceName    = "California"                                # S=
localityName           = "San Francisco"                             # L=
organizationName       = "World of Q Technology Inc."                # O=
organizationalUnitName = "Rampage"                                   # OU=
commonName             = "example.com"                               # CN=
emailAddress           = "human@earth.org"                           # CN/emailAddress=

[ v3_req ]
basicConstraints = CA:FALSE
keyUsage = nonRepudiation, digitalSignature, keyEncipherment
subjectAltName = @alt_names

[ alt_names ]
DNS.0 = "example.com"
DNS.1 = "www.example.com"